/*
*  MPInfo utility
*  
*  source/common.c
*  snapshot 20040218
*  
*  (c) 13.8.2002 Jaroslav Beran berk@volny.cz http://www.volny.cz/berk
*  License GNU/GPL2  
*/


#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include "common.h"


void zarovnat(char *s, unsigned sirka, char cim)
{
        unsigned n, fill = 0;

        for(n = 0; n < sirka; n++){
	        if (s[n] == '\0') fill = 1;
	        if (fill) s[n] = cim;
        }
        s[n] = '\0';

        return;
}


unsigned strip_low_ascii(char *s)
{
        unsigned long i = 0,
                      j;
        int pocet = 0;

        while(s[i] != '\0'){
                if (((unsigned) s[i]) < 32){
                        pocet++;
                        j = i;
                        while(s[j] != '\0'){
                                s[j] = s[j + 1];
                                j++;
                        }
                } else
                        i++;
        }

        return pocet;
}


size_t strsanity(char *s)
{
        if(s == NULL)
                return 0;

        strip_sp(s);
        strip_low_ascii(s);

        return strlen(s);
}


void trim_or_fill(char *s, unsigned width, char sp_char)
{
        unsigned n, fill=0;

        for(n = 0; n < (width - 1); n++){
	        if(s[n] == '\0') 
                        fill = 1;
	        if(fill) 
                        s[n] = sp_char;
        }
        s[n]='\0';

        return;
}


size_t strip_sp(char *s)
{
        size_t fir, len, n = 0;


        if(strlen(s) == 0)
                return 0;

        while(isspace(s[n]))
                n++;
        fir = n;

        n = strlen(s) - 1;
        while((isspace(s[n]) || (s[n] == '\n')) && (n > fir))
                n--;
        len = n - fir + 1;

        for(n = 0; n < len; n++)
                s[n] = s[fir + n];
        s[n] = '\0';

        return strlen(s);
}
