/*
*  MPInfo utility
*  
*  source/mp3lib.h
*  snapshot 20040218
*  
*  (c) 13.8.2002 Jaroslav Beran berk@volny.cz http://www.volny.cz/berk
*  License GNU/GPL2  
*/


#define T1TAGLEN 4
#define T1NAMELEN 31
#define T1ARTISTLEN 31
#define T1ALBUMLEN 31
#define T1YEARLEN 5
#define T1COMMENTLEN 31


struct tag1_ent {
        char tag[T1TAGLEN];
        char name[T1NAMELEN];
        char artist[T1ARTISTLEN];
        char album[T1ALBUMLEN];
        char year[T1YEARLEN];
        char comment[T1COMMENTLEN];
        unsigned char genre;
};


/* gettag1 returns mp3 header version 1 in tag1_ent     */
/* structure from file specified by fname               */
/* items are sanited from low ascii and spaces at begin */
/* and end                                              */
extern int gettag1(const char *fname, struct tag1_ent *tag);

/* gettag1 returns mp3 header version 1 in tag1_ent     */
/* structure from file specified by fname               */
/* items are not sanited                                */
extern int get_rough_tag1(const char *fname, struct tag1_ent *tag);

/* puttag1 writes down mp3 header version 1 in tag1_ent */
/* structure to file specified by fname                 */
extern int puttag1(const char *fname, struct tag1_ent *tag);
